Name:		sqlworkbench_j
Version:	117
Release:	%mkrel 1
License:	Apache
Packager:       Agent Smith (ruidobranco@yahoo.com.br)
Group:		Databases
URL:		http://www.sql-workbench.net/
Source:		%{name}-%{version}.tar.xz
Source1:	workbench32.png
Summary:	SQL query tool
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	java
Obsoletes:	%name < %version
AutoReqProv:    no

%description

SQL Workbench/J is a free, DBMS-independent, cross-platform SQL query
tool. It is written in Java and thus it should run on any operating system
that provides a Java Runtime Environment.

The drivers are located in /usr/share/sqlworkbench_j/drivers

%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/xslt
mkdir -p %{buildroot}%{_datadir}/%{name}/manual/images
mkdir -p %{buildroot}%{_datadir}/%{name}/drivers/firebird_connector
mkdir -p %{buildroot}%{_datadir}/%{name}/drivers/mysql-connector-java-5.1.22
mkdir -p %{buildroot}%{_datadir}/%{name}/drivers/postgres_connector



cp $RPM_BUILD_DIR/%{name}-%{version}/*.* %{buildroot}%{_datadir}/%{name}/

cp $RPM_BUILD_DIR/%{name}-%{version}/xslt/*.* %{buildroot}%{_datadir}/%{name}/xslt/

cp $RPM_BUILD_DIR/%{name}-%{version}/manual/*.* %{buildroot}%{_datadir}/%{name}/manual/

cp $RPM_BUILD_DIR/%{name}-%{version}/manual/images/*.* %{buildroot}%{_datadir}/%{name}/manual/images/

cp $RPM_BUILD_DIR/%{name}-%{version}/drivers/firebird_connector/*.* %{buildroot}%{_datadir}/%{name}/drivers/firebird_connector/

cp $RPM_BUILD_DIR/%{name}-%{version}/drivers/mysql-connector-java-5.1.22/*.* %{buildroot}%{_datadir}/%{name}/drivers/mysql-connector-java-5.1.22/

cp $RPM_BUILD_DIR/%{name}-%{version}/drivers/postgres_connector/*.* %{buildroot}%{_datadir}/%{name}/drivers/postgres_connector/



install -d -m 0755 %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1 %buildroot%_datadir/pixmaps/workbench32.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Exec=java -jar %{_datadir}/%{name}/sqlworkbench.jar
Icon=workbench32.png
Type=Application
Terminal=false
Name=SQL Workbench/J
GenericName=SQL Workbench/J
Comment=%{summary}
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF


%files
%defattr(-,root,root)
%{_datadir}/%{name}/*
%{_datadir}/%{name}/xslt/*
%{_datadir}/%{name}/manual/*
%{_datadir}/%{name}/manual/images/*
%{_datadir}/%{name}/drivers/firebird_connector/*
%{_datadir}/%{name}/drivers/mysql-connector-java-5.1.22/*
%{_datadir}/%{name}/drivers/postgres_connector/*
%{_datadir}/pixmaps/workbench32.png
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Feb 02 2015  Agent Smith <ruidobranco@yahoo.com.br> 117-1pclos2015
- Updated to the latest version, corrected the license. 

* Mon Dec 30 2013  Agent Smith <ruidobranco@yahoo.com.br> 115-1pclos2014
- Updated to the latest version.

* Fri Aug 23 2013  Agent Smith <ruidobranco@yahoo.com.br> 114-1pclos2013
- Updated to the latest version.

* Fri Nov 16 2012  Agent Smith <ruidobranco@yahoo.com.br> 113-2pclos2012
- Updated the license description of the provided drivers.

* Fri Nov 09 2012  Agent Smith <ruidobranco@yahoo.com.br> 113-1pclos2012
- Created package sql workbench/j
